The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
25'ten fazla konu seçemezsiniz Konular bir harf veya rakamla başlamalı, kısa çizgiler ('-') içerebilir ve en fazla 35 karakter uzunluğunda olabilir.
 
 
 
 

50 satır
1.4 KiB

  1. #!/bin/bash
  2. #
  3. # Performs first-time setup after a fresh git clone.
  4. # Installs utility libraries.
  5. #
  6. # Before from running this script, if you want to run the Bubble Server, install dependencies
  7. # with the first_time_ubuntu.sh script. If you're running something other than Ubuntu 18.04,
  8. # please add a first_time_<your-OS>.sh in this directory.
  9. #
  10. # If you're going to run the Bubble Server, you will also need
  11. # Create environment files: ~/.bubble.env and ~/.bubble-test.env (one can be a symlink to the other)
  12. #
  13. # ~/.bubble.env is the environment used by the BubbleServer started by run.sh
  14. # ~/.bubble-test.env is the environment used by the BubbleServer that runs during the integration tests
  15. #
  16. function die {
  17. if [[ -z "${SCRIPT}" ]] ; then
  18. echo 1>&2 "${1}"
  19. else
  20. echo 1>&2 "${SCRIPT}: ${1}"
  21. fi
  22. exit 1
  23. }
  24. BASE=$(cd $(dirname $0)/.. && pwd)
  25. cd ${BASE}
  26. git submodule init || die "Error in git submodule init"
  27. git submodule update || die "Error in git submodule update"
  28. pushd utils/cobbzilla-parent
  29. mvn install || die "Error installing cobbzilla-parent"
  30. popd
  31. UTIL_REPOS="
  32. cobbzilla-parent
  33. cobbzilla-utils
  34. restex
  35. templated-mail-sender
  36. cobbzilla-wizard
  37. "
  38. pushd utils
  39. for repo in ${UTIL_REPOS} ; do
  40. pushd ${repo} && git checkout master && mvn -DskipTests=true -Dcheckstyle.skip=true clean install && popd || die "Error installing ${repo}"
  41. done
  42. popd
  43. INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"